Переполнение буфера в No-IP Linux Dynamic Update Client

Дата публикации:
19.11.2008
Дата изменения:
29.03.2009
Всего просмотров:
2729
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
No-IP Linux Dynamic Update Client 2.x
Уязвимые версии: No-IP Linux Dynamic Update Client 2.1.7, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки при обработке HTTP запросов, полученных от "dynupdate.no-ip.com". Удаленный пользователь может вызвать переполнение стека и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости злоумышленник должен произвести атаку «Человек посередине» или спуфинг атаку на DNS сервер.

URL производителя: www.no-ip.com/downloads.php?page=linux

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
29.03.2009
Изменена секция "Решение"

Ссылки: No-IP DUC <= 2.1.7 Remote Code Execution Exploit

или введите имя

CAPTCHA